Loading...
Searching...
No Matches
gx_engine::StereoModuleChain Class Reference

`#include <gx_modulesequencer.h>`

Inheritance diagram for gx_engine::StereoModuleChain:

## Public Member Functions

| StereoModuleChain ()
void | process (int count, float *input1, float *input2, float *output1, float *output2)
void | print ()
Public Member Functions inherited from gx_engine::ThreadSafeChainPointer< stereochain_data >
| ThreadSafeChainPointer ()
| ~ThreadSafeChainPointer ()
void | empty_chain (ParamMap &pmap)
void | commit (bool clear, ParamMap &pmap)
Public Member Functions inherited from gx_engine::ProcessingChainBase
| ProcessingChainBase ()
RampMode | get_ramp_mode ()
int | get_ramp_value ()
void | set_samplerate (int samplerate)
bool | set_plugin_list (const list< Plugin * > &p)
void | clear_module_states ()
void | post_rt_finished ()
bool | wait_rt_finished ()
void | set_latch ()
void | wait_latch ()
void | sync ()
bool | check_release ()
void | release ()
void | wait_ramp_down_finished ()
void | start_ramp_up ()
void | start_ramp_down ()
void | set_down_dead ()
bool | is_down_dead ()
void | set_stopped (bool v)
bool | is_stopped ()
void | print_chain_state (const char *title)

## Additional Inherited Members

Public Types inherited from gx_engine::ProcessingChainBase
enum | RampMode { ramp_mode_down_dead , ramp_mode_down , ramp_mode_up_dead , ramp_mode_up , ramp_mode_off }
Public Attributes inherited from gx_engine::ProcessingChainBase
bool | next_commit_needs_ramp
Protected Member Functions inherited from gx_engine::ThreadSafeChainPointer< stereochain_data >
stereochain_data * | get_rt_chain ()
Protected Member Functions inherited from gx_engine::ProcessingChainBase
void | set_ramp_value (int n)
void | set_ramp_mode (RampMode n)
void | try_set_ramp_mode (RampMode oldmode, RampMode newmode, int oldrv, int newrv)
Protected Attributes inherited from gx_engine::ThreadSafeChainPointer< stereochain_data >
stereochain_data * | processing_pointer
Protected Attributes inherited from gx_engine::ProcessingChainBase
int | steps_up
int | steps_up_dead
int | steps_down
list< Plugin * > | modules

## Detailed Description

Definition at line 229 of file gx_modulesequencer.h.

## Constructor & Destructor Documentation

## StereoModuleChain()

gx_engine::StereoModuleChain::StereoModuleChain | ( |  | ) |

inline

Definition at line 231 of file gx_modulesequencer.h.

## Member Function Documentation

## print()

void gx_engine::StereoModuleChain::print | ( |  | ) |

inline

Definition at line 237 of file gx_modulesequencer.h.

## process()

void gx_engine::StereoModuleChain::process | ( | int | count,
|  | float * | input1,
|  | float * | input2,
|  | float * | output1,
|  | float * | output2 )

The documentation for this class was generated from the following file:

- src/headers/gx_modulesequencer.h